psychopy.org | Reference | Downloads | Github

Experiment runs locally but I can't upload to Pavlovia

I’m trying to create a new project on Pavlovia for a new experiment I’m running. It works locally without a problem.

I keep getting this error:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "C:\Program Files\PsychoPy3\lib\http\client.py", line 1331, in getresponse
    response.begin()
  File "C:\Program Files\PsychoPy3\lib\http\client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "C:\Program Files\PsychoPy3\lib\http\client.py", line 258, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "C:\Program Files\PsychoPy3\lib\socket.py", line 586, in readinto
    return self._sock.recv_into(b)
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\contrib\pyopenssl.py", line 298, in recv_into
    raise timeout('The read operation timed out')
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py", line 449, in send
    timeout=timeout
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\util\retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\packages\six.py", line 686, in reraise
    raise value
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 386, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py", line 306, in _raise_timeout
    raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='gitlab.pavlovia.org', port=443): Read timed out. (read timeout=2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py", line 146, in submitChanges
    namespace=namespace)
  File "C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py", line 324, in createProject
    gitlabProj = self.gitlab.projects.create(projDict)
  File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab\exceptions.py", line 242, in wrapped_f
    return f(*args, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab\mixins.py", line 204, in create
    **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab\__init__.py", line 589, in http_post
    post_data=post_data, files=files, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\gitlab\__init__.py", line 472, in http_request
    result = self.session.send(prepped, timeout=timeout, **settings)
  File "C:\Program Files\PsychoPy3\lib\site-packages\requests\sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='gitlab.pavlovia.org', port=443): Read timed out. (read timeout=2)

I’ve never seen this before. I get the same error when I click the button to search on Pavlovia from PsychoPy.

I recently updated to PsychoPy 2021.2.1. All my previous experiments used an older version. Is this a common bug? All my previous experiments had the exact same structure.

I’ve uploaded my runner file, if that helps

I would really appreciate some help. I’m running behind on my dissertation and I don’t know how to fix this problem.

Diss_exp1d_prolific.psyexp (105.3 KB)

Hi There,

This looks like a timeout error so, whilst annoying, it should still be ok if you just click OK, ignore it and try and push again - is the timeout error persistently blocking you? it might also be that you are not logged into pavlovia within PsychoPy itself (you can check that by clicking the fourth globe icon along the top taskbar)

Hope this helps,
Becca